<?php
/**
 * @package	Website Antivirus Scanner for Joomla
 * @copyright	Copyright (C) 2018 SiteGuarding.com. All rights reserved.
 * @GNU General Public License
 */
defined('_JEXEC') or die('Restricted access');
 
class com_jmwascannerInstallerScript
{
	function install($parent) 
	{

        jimport('joomla.installer.installer');
		$src_plugins = dirname(__FILE__). DIRECTORY_SEPARATOR .'plugins' . DIRECTORY_SEPARATOR;
		
        $accesslogging = $src_plugins . 'accesslogging';
        $accessloggingInstaller = new JInstaller;
        $accessloggingInstaller->install($accesslogging);
		
		$jmwascannerplugin = $src_plugins . 'jmwascannerplugin';
		$jmwascannerpluginInstaller = new JInstaller;
        $jmwascannerpluginInstaller->install($jmwascannerplugin);


		$db = JFactory::getDBO();
        $db->setQuery("UPDATE #__extensions SET enabled = '1' WHERE `element` = 'accesslogging' OR `element` = 'jmwascannerplugin' AND `type` = 'plugin'");
        $db->query();


	}
	
	
	function uninstall($parent) 
	{
		jimport('joomla.installer.installer');
		$db = JFactory::getDBO();	
		$db->setQuery('SELECT `extension_id` FROM #__extensions WHERE `type` = "plugin" AND `element` = "accesslogging" AND `folder` = "authentication"');
        $id = $db->loadResult();
        if($id)
        {
            $installer = new JInstaller;
            $result = $installer->uninstall('plugin', $id , 1);
        }
		
		unset($db);
		
		$db = JFactory::getDBO();	
		$db->setQuery('SELECT `extension_id` FROM #__extensions WHERE `type` = "plugin" AND `element` = "jmwascannerplugin" AND `folder` = "system"');
        $id = $db->loadResult();
        if($id)
        {
            $installer = new JInstaller;
            $result = $installer->uninstall('plugin', $id , 1);
        }

	}
	

}
